class   Controller  {
	constructor(view,model){
		this.view = view
		this.model = model

		this.loading = false
		this.lastSearch = null
		this.error = null
		this.results = []

		this.view.setLoading(false)
		this.view.bindSearch(this.search.bind(this))
	}
	reset() {
		this.loading = false
		this.error = null
		this.results = []
	}

	async search(searchMovie) {
		// TODO
	}
} 

export default Controller

